
ctools - Bug #1920

Fix cslightcrv script

02/03/2017 11:49 AM - Knödlseder Jürgen

Status: Closed Start date: 02/03/2017

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.2.0   

Description

While trying to use cslightcrv on the 1DC test data a bug occured related to the extraction of parameters. It is also not clear whether

the current script correctly handles stacked data. This should be clarified and the script should be adapted if needed.

History

#1 - 02/03/2017 03:06 PM - Knödlseder Jürgen

- % Done changed from 0 to 50

It turned out that observations with zero livetime pose some problems. The GCTACubeBackground class had to be corrected to properly deal with

zero livetimes. Now they are skipped in filling the cube. The same is true for GCTACubeExposure, GCTACubePsf and GCTACubeEdisp.

#2 - 02/03/2017 03:48 PM - Knödlseder Jürgen

- % Done changed from 50 to 90

The response cube parameters have been removed and the script no longer accepts a counts cube on input. The reason is that from a counts cube

one cannot build a light curve, since the time information has been removed from the counts cube.

#3 - 03/03/2017 10:33 AM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Seems to work now as expected
